# Luncher

Zatím to nemá dokumentaci.
Server je v adresáři /server, client v adresáři /client obojí lze spustit pomocí:

### `yarn`
### `yarn start`

V *nix prostředích lze po instalaci základních závislostí (python, pip, venv) použít `./run_dev.sh`

## TODO
- [x] Umožnit smazání aktuální volby "popelnicí", místo nutnosti vybrat prázdnou položku v selectu
- [x] Přívětivější možnost odhlašování
- [x] Vyřešit responzivní design pro použití na mobilu
- [x] Vyndat URL na Food API do .env
- [x] Neselhat při nedostupnosti nebo chybě z Food API
- [x] Dokončit docker-compose pro kompletní funkčnost
- [x] Implementovat základ pro pizza day
  - [x] Umožnit uzamčení objednávek zakladatelem
  - [x] Možnost uložení čísla účtu
  - [ ] Automatické generování a zobrazení QR kódů
    - [ ] https://qr-platba.cz/pro-vyvojare/restful-api/
  - [ ] Zobrazovat celkovou cenu objednávky pod tabulkou objednávek
- [ ] Zobrazit upozornění před smazáním/zamknutím/odemknutím pizza day
- [ ] Předvyplnění poslední vybrané hodnoty občas nefunguje, viz komentář
- [ ] Nasazení nové verze v Docker smaže veškerá data (protože data.json není venku)
- [ ] Vylepšit dokumentaci projektu
  - [ ] Popsat Food API, nginx
  - [ ] Popsat závislosti, co je nutné provést před vývojem a postup spuštění pro vývoj
  - [ ] Popsat dostupné env
- [ ] Pizzy se samy budou při naklikání přidávat do košíku
  - [ ] Nutno nejprve vyřešit předávání PHPSESSIONID cookie na pizzachefie.cz pomocí fetch()
- [ ] Přesunout autentizaci na server (JWT?)
- [ ] Zavést .env.template a přidat .env do .gitignore
- [ ] Zkrášlit dialog pro vyplnění čísla účtu, vypadá mizerně
- [ ] Podpora pro notifikace v externích systémech (Gotify, Discord, MS Teams)